package com.ht.ui.controls.cell;

import java.util.List;

import javafx.scene.control.Cell;

import org.javafxdata.control.cell.MoneyCellFactory;

public class NumberCell {
	static <T> void getCssState(Cell<T> cell, List<String> s) {
        T n = cell.getItem();
        if (! (n instanceof Number)) return;
        
        double value = ((Number)n).doubleValue();
        
        if (value < 0) s.add(NumberCellFactory.NEGATIVE_STATE);
        if (value > 0) s.add(NumberCellFactory.POSITIVE_STATE);
    }
}
